XnStringsHash.h File Reference
`#include "XnHash.h"`
`#include <XnOS.h>`

Go to the source code of this file.

## Classes

class | XnStringsKeyManager
class | XnStringsKeyTranslator

## Macros

#define | XN_DECLARE_STRINGS_HASH_WITH_TRANSLATOR_DECL(decl, ValueType, ClassName, ValueTranslator)
#define | XN_DECLARE_STRINGS_HASH_WITH_TRANSLATOR(ValueType, ClassName, ValueTranslator)
#define | XN_DECLARE_STRINGS_HASH_DECL(decl, ValueType, ClassName)
#define | XN_DECLARE_STRINGS_HASH(ValueType, ClassName)

## Macro Definition Documentation

## XN_DECLARE_STRINGS_HASH

#define XN_DECLARE_STRINGS_HASH | ( |  | ValueType,
|  |  | ClassName )

Value:
XN_DECLARE_STRINGS_HASH_DECL(, ValueType, ClassName)
XN_DECLARE_STRINGS_HASH_DECL
#define XN_DECLARE_STRINGS_HASH_DECL(decl, ValueType, ClassName)
Definition XnStringsHash.h:104

Declares a hash table from strings to ValueType that's named ClassName and uses default translator to translate values.

## XN_DECLARE_STRINGS_HASH_DECL

#define XN_DECLARE_STRINGS_HASH_DECL | ( |  | decl,
|  |  | ValueType,
|  |  | ClassName )

Value:
XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL(decl, ValueType, XN_DEFAULT_TRANSLATOR_NAME(ClassName)) \
XN_DECLARE_STRINGS_HASH_WITH_TRANSLATOR_DECL(decl, ValueType, ClassName, XN_DEFAULT_TRANSLATOR_NAME(ClassName)) \
XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL
#define XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL(decl, Type, ClassName)
Definition XnDataTypes.h:42
XN_DEFAULT_TRANSLATOR_NAME
#define XN_DEFAULT_TRANSLATOR_NAME(ClassName)
Definition XnDataTypes.h:118

Declares a hash table from strings to ValueType that's named ClassName and uses default translator to translate values. It is declared using the decl declspec.

## XN_DECLARE_STRINGS_HASH_WITH_TRANSLATOR

#define XN_DECLARE_STRINGS_HASH_WITH_TRANSLATOR | ( |  | ValueType,
|  |  | ClassName,
|  |  | ValueTranslator )

Value:
XN_DECLARE_STRINGS_HASH_WITH_TRANSLATOR_DECL(, ValueType, ClassName, ValueTranslator)
XN_DECLARE_STRINGS_HASH_WITH_TRANSLATOR_DECL
#define XN_DECLARE_STRINGS_HASH_WITH_TRANSLATOR_DECL(decl, ValueType, ClassName, ValueTranslator)
Definition XnStringsHash.h:90

Declares a hash table from strings to ValueType that's named ClassName and uses ValueTranslator to translate values.

## XN_DECLARE_STRINGS_HASH_WITH_TRANSLATOR_DECL

#define XN_DECLARE_STRINGS_HASH_WITH_TRANSLATOR_DECL | ( |  | decl,
|  |  | ValueType,
|  |  | ClassName,
|  |  | ValueTranslator )

Value:
XN_DECLARE_HASH_DECL(decl, const XnChar*, ValueType, ClassName, XnStringsKeyTranslator, ValueTranslator, XnStringsKeyManager) \
XN_DECLARE_HASH_DECL
#define XN_DECLARE_HASH_DECL(decl, KeyType, ValueType, ClassName, KeyTranslator, ValueTranslator, KeyManager)
Definition XnHash.h:773
XnStringsKeyManager
Definition XnStringsHash.h:35
XnStringsKeyTranslator
Definition XnStringsHash.h:53

Declares a hash table from strings to ValueType that's named ClassName and uses ValueTranslator to translate values. It is declared using the decl declspec.